## cbios 0.21

=== Makefile ===
--- 
+++ 
@@ -1,15 +1,18 @@
-# $Id: Makefile,v 1.10 2005/02/08 07:55:08 mthuurne Exp $
+# $Id: Makefile,v 1.13 2005/06/06 21:40:38 mthuurne Exp $
 
 # Select your assembler:
 Z80_ASSEMBLER?=pasmo
 #Z80_ASSEMBLER?=sjasm
 
 PACKAGE:=cbios
-VERSION:=0.20
+VERSION:=0.21
 PACKAGE_FULL:=$(PACKAGE)-$(VERSION)
 
 ROMS:=main_msx1 main_msx2 main_msx2+ sub music disk
 ROMS_FULLPATH:=$(ROMS:%=derived/bin/cbios_%.rom)
+
+# If needed override location of pasmo.
+PASMO=pasmo
 
 # Mark all logical targets as such.
 .PHONY: all dist clean
@@ -21,7 +24,7 @@
 .DELETE_ON_ERROR: $(ROMS_FULLPATH)
 endif
 
-derived/bin/cbios_%.rom: vdep/%.asm
+$(ROMS_FULLPATH): derived/bin/cbios_%.rom: vdep/%.asm
 	@echo "Assembling: $(<:vdep/%=src/%)"
 	@mkdir -p $(@D)
 	@mkdir -p derived/lst
@@ -29,7 +32,7 @@
 	@sjasm -l $(<:vdep/%=src/%) $@ $(@:derived/bin/%.rom=derived/lst/%.lst)
 endif
 ifeq ($(Z80_ASSEMBLER),pasmo)
-	@pasmo -I src $(<:vdep/%=src/%) $@ $(@:derived/bin/%.rom=derived/lst/%.lst)
+	@$(PASMO) -I src $(<:vdep/%=src/%) $@ $(@:derived/bin/%.rom=derived/lst/%.lst)
 endif
 
 # Include main dependency files.
