## cbios 0.23

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.24 2006/09/30 20:33:11 arnoldmnl Exp $
+# $Id: Makefile 553 2009-01-02 21:49:16Z mthuurne $
 
 # Select your assembler:
 Z80_ASSEMBLER?=pasmo
@@ -7,12 +7,13 @@
 #Z80_ASSEMBLER?=tniasm
 
 PACKAGE_NAME:=cbios
-VERSION:=0.21
+VERSION:=$(shell cat version.txt)
 PACKAGE_FULL:=$(PACKAGE_NAME)-$(VERSION)
 
-CHANGELOG_REVISION:=\
-        $(shell sed -ne "s/\$$Id: ChangeLog,v \([^ ]*\).*/\1/p" ChangeLog)
-TITLE:="C-BIOS $(VERSION)-dev$(CHANGELOG_REVISION)"
+#CHANGELOG_REVISION:=\
+#        $(shell sed -ne "s/\$$Id: ChangeLog \([^ ]*\).*/\1/p" ChangeLog)
+#TITLE:="C-BIOS $(VERSION)-dev$(CHANGELOG_REVISION)"
+TITLE:="C-BIOS $(VERSION)      cbios.sf.net"
 VERSION_FILE:=derived/asm/version.asm
 
 ROMS:=main_msx1 main_msx2 main_msx2+ sub logo_msx1 logo_msx2 logo_msx2+ \
@@ -44,10 +45,10 @@
 ASMDIR=src
 endif
 
-$(VERSION_FILE): ChangeLog
+$(VERSION_FILE): ChangeLog version.txt
 	@echo "Creating: $@"
 	@mkdir -p $(@D)
-	@echo "  db \"$(TITLE)\"" > $@
+	@echo '  db $(TITLE)' > $@
 
 $(ROMS_FULLPATH): derived/bin/cbios_%.rom: vdep/%.asm
 	@echo "Assembling: $(<:vdep/%=$(ASMDIR)/%)"
@@ -91,10 +92,10 @@
 	@echo "Depending: $<"
 	@mkdir -p $(@D)
 	@echo "INCLUDES:=" > $@
-	@sed -n '/include/s/^[\t ]*include[\t ]*"\(.*\)".*$$/INCLUDES+=\1/p' \
+	@sed -n '/include/s/^[\t ]*include[\t ]*"\(\.\.\/derived\/asm\/\)\{0,1\}\(.*\)".*$$/INCLUDES+=\2/p' \
 		< $< >> $@
 	@echo "INCBINS:=" >> $@
-	@sed -n '/incbin/s/^[\t ]*incbin[\t ]*"\(.*\)".*$$/INCBINS+=\1/p' \
+	@sed -n '/incbin/s/^[\t ]*incbin[\t ]*"\(\.\.\/derived\/asm\/\)\{0,1\}\(.*\)".*$$/INCBINS+=\2/p' \
 		< $< >> $@
 	@echo ".SECONDARY: $(<:derived/asm/%=vdep/%)" >> $@
 	@echo "$(<:derived/asm/%=vdep/%): $<" >> $@
@@ -107,10 +108,10 @@
 	@echo "Depending: $<"
 	@mkdir -p $(@D)
 	@echo "INCLUDES:=" > $@
-	@sed -n '/include/s/^[\t ]*include[\t ]*"\(\.\.\/derived\/asm\/\)\?\(.*\)".*$$/INCLUDES+=\2/p' \
+	@sed -n '/include/s/^[\t ]*include[\t ]*"\(\.\.\/derived\/asm\/\)\{0,1\}\(.*\)".*$$/INCLUDES+=\2/p' \
 		< $< >> $@
 	@echo "INCBINS:=" >> $@
-	@sed -n '/incbin/s/^[\t ]*incbin[\t ]*"\(\.\.\/derived\/asm\/\)\?\(.*\)".*$$/INCBINS+=\2/p' \
+	@sed -n '/incbin/s/^[\t ]*incbin[\t ]*"\(\.\.\/derived\/asm\/\)\{0,1\}\(.*\)".*$$/INCBINS+=\2/p' \
 		< $< >> $@
 	@echo ".SECONDARY: $(<:src/%=vdep/%)" >> $@
 	@echo "$(<:src/%=vdep/%): $(<:src/%=$(ASMDIR)/%)" >> $@
@@ -137,11 +138,11 @@
 dist: all
 	@rm -rf derived/dist
 	@mkdir -p derived/dist/$(PACKAGE_FULL)
-	@find . -type f '!' -path '*/CVS/*' \
+	@find . -type f '!' -path '*/.svn/*' \
 		'!' -path './derived/*' '!' -path './debian/*' \
 		'!' -name '.*' \
 		-exec cp --parents "{}" derived/dist/$(PACKAGE_FULL) ';'
-	@find configs/openMSX/* -maxdepth 0 -type d '!' -name 'CVS' \
+	@find configs/openMSX/* -maxdepth 0 -type d '!' -name '.svn' \
 		-exec mkdir "derived/dist/$(PACKAGE_FULL)/{}/roms" ';'
 	@SCRIPT=`mktemp` \
 		&& sha1sum $(ROMS_FULLPATH) | sed -nf tools/subst_sha1.sed > $$SCRIPT \
