=== debian/changelog ===
cbios (0.23-2) unstable; urgency=low

  * use source format 3.0
  * update standards version

 -- Joost Yervante Damad <andete@debian.org>  Sat, 19 Dec 2009 20:56:54 +0100

cbios (0.23-1) unstable; urgency=low

  * New upstream release
    - Added support for carriage return ($0D) in GRPPRT in SCREEN2
      - Fixes title screen of Bokosuka Wars

 -- Joost Yervante Damad <andete@debian.org>  Sun, 04 Jan 2009 18:11:21 +0100

cbios (0.22-1) unstable; urgency=low

  * New upstream release
    - Use separate logo ROM to save space in the main ROM.
    - Set lower bits of PSG reg 15 before reading joystick trigger status.
    - Improved RAM search.
    - Many new routines implemented and existing implementations made more
      complete, especially character I/O and bitmap graphics.
    - Added lots of documentation to system variables.
    - Added support for GNU assembler.
    - Various bug fixes.

 -- Joost Yervante Damad <andete@debian.org>  Sat, 27 Dec 2008 20:29:37 +0100

cbios (0.21+cvs20071215-1) unstable; urgency=low

  * package a snapshot from CVS as it contains some inportant
    game compatibility fixes
  * fix debian-rules-ignores-make-clean-error
  * fix package-contains-empty-directory usr/share/cbios/configs/
  * fix binary-arch-rules-but-pkg-is-arch-indep

 -- Joost Yervante Damad <andete@debian.org>  Sat, 15 Dec 2007 10:13:53 +0100

cbios (0.21-4) unstable; urgency=low

  * update standards version to 3.7.3

 -- Joost Yervante Damad <andete@debian.org>  Mon, 10 Dec 2007 18:28:57 +0100

cbios (0.21-3) unstable; urgency=low

  * switch from docbook-to-man to stx2any
  * switch to Build-Depends-Indep; avoids lintian override
  * move Recommends to correct place in control file

 -- Joost Yervante Damad <andete@debian.org>  Tue, 24 Oct 2006 20:20:32 +0200

cbios (0.21-2) unstable; urgency=low

  * bump compat to level 5
  * update maintainer email address
  * bump standards-version to 3.7.2
  * update copyright file

 -- Joost Yervante Damad <andete@debian.org>  Wed, 18 Oct 2006 19:40:10 +0200

cbios (0.21-1) unstable; urgency=low

  * new upstream release
  * change priority from optional to extra

 -- Joost Yervante Damad <joost@lumatec.be>  Tue,  7 Jun 2005 19:32:40 +0200

cbios (0.20-1) unstable; urgency=low

  * new upstream release

 -- Joost Yervante Damad <joost@lumatec.be>  Sat, 12 Feb 2005 13:31:28 +0100

cbios (0.19-3) unstable; urgency=low

  * Close ITP (Closes: #286947)
  * manpage removal fixed

 -- Joost Yervante Damad <joost@lumatec.be>  Thu, 30 Dec 2004 21:12:55 +0100

cbios (0.19-2) unstable; urgency=low

  * implemented remarks from  Goedson Paixao:
        - manpage removed in clean target
        - removed unneeded comments in debian/rules
        - removed the commented calls do dh_*
        - building.txt should not be part of the docs installed.
        - Clarify debian/copyright file
        - add build-depends on docbook-to-man

 -- Joost Yervante Damad <joost@lumatec.be>  Sat, 25 Dec 2004 09:05:32 +0100

cbios (0.19-1) unstable; urgency=low

  * 0.19 upstream release

 -- Joost Yervante Damad <joost@lumatec.be>  Fri, 24 Dec 2004 08:54:39 +0100

cbios (0.18-2) unstable; urgency=low

  * 0.18 upstream release
  * do not install config files for other emulators
  * fix README.Debian

 -- Joost Yervante Damad <joost@lumatec.be>  Sat, 18 Dec 2004 21:05:43 +0100

cbios (0.18-1) unstable; urgency=low

  * 0.18 pre-release
  * install C-CBIOS MSX1 & MSX2 in openMSX directory

 -- Joost Yervante Damad <joost@lumatec.be>  Mon, 13 Dec 2004 10:00:42 +0100

cbios (20041211-1) unstable; urgency=low

  * Initial Release.
  * fix install target for rules file

 -- Joost Yervante Damad <joost@lumatec.be>  Sun, 12 Dec 2004 15:17:19 +0100
