## cbios 0.24

=== debian/changelog ===
cbios (0.24-3) unstable; urgency=high

  * Last build didn't contain any ROMs, fixed by fixing usage of dh.

 -- Joost Yervante Damad <andete@debian.org>  Wed, 28 Jul 2010 07:17:43 +0200

cbios (0.24-2) unstable; urgency=low

  * use dh.

 -- Joost Yervante Damad <andete@debian.org>  Sun, 11 Jul 2010 07:24:56 +0200

cbios (0.24-1) unstable; urgency=low

  * New upstream release 0.24:
    - VRAM size is now properly checked, fixing R-Type's V9938 detection.
    - C-BIOS doesn't lie anymore about the interrupt frequency.
    - Don't di; halt when no ROM is found, the warning in openMSX may be
      confusing
    - A few minor bug fixes and tweaks.

 -- Joost Yervante Damad <andete@debian.org>  Mon, 31 May 2010 19:04:29 +0200
