=== debian/rules ===
--- 
+++ 
@@ -3,46 +3,21 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-CFLAGS = -Wall -g
+%:
+	dh $@
 
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -O0
-else
-	CFLAGS += -O2
-endif
-
-configure: configure-stamp
-configure-stamp:
-	dh_testdir
-
-	touch configure-stamp
-
-
-build: build-stamp
-
-build-stamp: configure-stamp 
-	dh_testdir
-
+build:
 	$(MAKE)
 	stx2any -T man debian/cbios.txt > debian/cbios.7
 
-	touch build-stamp
-
 clean:
-	dh_testdir
-	dh_testroot
-	rm -f build-stamp configure-stamp
+	dh_clean
 	$(MAKE) clean
-	dh_clean
 	-rm -f debian/cbios.7
 
-install: build
-	dh_testdir
-	dh_testroot
-	dh_clean -k 
-	dh_installdirs
+override_dh_install:
 	# copy rom files
-	cp -f derived/bin/*.rom $(CURDIR)/debian/cbios/usr/share/cbios
+	cp -fv derived/bin/*.rom $(CURDIR)/debian/cbios/usr/share/cbios
 	# copy config files for other emulators # currently not done!
 	# cp -rf configs/NLMSX $(CURDIR)/debian/cbios/usr/share/cbios/configs
 	# cp -rf configs/RuMSX $(CURDIR)/debian/cbios/usr/share/cbios/configs
@@ -62,23 +37,5 @@
 	ln -s ../../../../cbios/cbios_sub.rom $(CURDIR)/debian/cbios/usr/share/openmsx/machines/C-BIOS_MSX2+/roms/cbios_sub.rom
 	ln -s ../../../../cbios/cbios_music.rom $(CURDIR)/debian/cbios/usr/share/openmsx/machines/C-BIOS_MSX2+/roms/cbios_music.rom
 
-binary-indep: build install
-	dh_testdir
-	dh_testroot
-	dh_installchangelogs ChangeLog
-	dh_installdocs
-	dh_installexamples
+override_dh_installman:
 	dh_installman debian/cbios.7
-	dh_link
-	dh_strip
-	dh_compress
-	dh_fixperms
-	dh_installdeb
-	dh_shlibdeps
-	dh_gencontrol
-	dh_md5sums
-	dh_builddeb
-
-
-binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install configure
