## cbios 0.25

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile 553 2009-01-02 21:49:16Z mthuurne $
+# $Id: Makefile 584 2010-11-20 15:08:23Z manuelbi $
 
 # Select your assembler:
 Z80_ASSEMBLER?=pasmo
@@ -16,8 +16,9 @@
 TITLE:="C-BIOS $(VERSION)      cbios.sf.net"
 VERSION_FILE:=derived/asm/version.asm
 
-ROMS:=main_msx1 main_msx2 main_msx2+ sub logo_msx1 logo_msx2 logo_msx2+ \
-	music disk basic
+ROMS:=main_msx1 main_msx1_jp main_msx1_br main_msx2 main_msx2_jp main_msx2_br \
+	main_msx2+ main_msx2+_jp main_msx2+_br sub logo_msx1 logo_msx2 \
+	logo_msx2+ music disk basic
 ROMS_FULLPATH:=$(ROMS:%=derived/bin/cbios_%.rom)
 
 # If needed override location of pasmo.
