=== debian/changelog ===
cbios (0.25-3) unstable; urgency=medium

  * QA upload.
  * Migrations:
      - debian/copyright to 1.0 format.
      - DebSrc to 3.0 format.
      - DH level to 9.
  * debian/control:
     - Added the Homepage field.
     - Bumped Standards-Version to 3.9.6.
  * debian/copyright: updated all information.
  * debian/watch: added.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 26 Dec 2015 03:55:38 -0200

cbios (0.25-2) unstable; urgency=low

  * Orphaning the package.

 -- Joost Yervante Damad <andete@debian.org>  Sat, 16 Jul 2011 16:39:07 +0200

cbios (0.25-1) unstable; urgency=low

  * New upstream release
  * back to old source format
  * adapt manpage to reflect new BR and JP variants of the
    ROMs
  * update package to include JP and BR variants

 -- Joost Yervante Damad <andete@debian.org>  Wed, 02 Feb 2011 19:40:54 +0100
