=== debian/control ===
Source: cbios
Section: misc
Priority: extra
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: pasmo, stx2any
Standards-Version: 3.9.6
Homepage: http://cbios.sf.net

Package: cbios
Architecture: all
Depends: ${misc:Depends}
Recommends: openmsx | msx-emulator
Description: open source MSX BIOS roms
 C-BIOS is an open source BIOS for MSX computers.
 .
 C-BIOS can be shipped with MSX emulators so they are usable out-of-the-box.
 It comes readily configured for the openMSX emulator.
