=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

build:
	$(MAKE)
	stx2any -T man debian/cbios.txt > debian/cbios.7

clean:
	dh_clean
	$(MAKE) clean
	-rm -f debian/cbios.7

override_dh_install:
	# copy rom files
	cp -fv derived/bin/*.rom $(CURDIR)/debian/cbios/usr/share/cbios
	# copy config files for other emulators # currently not done!
	# cp -rf configs/NLMSX $(CURDIR)/debian/cbios/usr/share/cbios/configs
	# cp -rf configs/RuMSX $(CURDIR)/debian/cbios/usr/share/cbios/configs
	# cp -rf configs/blueMSX $(CURDIR)/debian/cbios/usr/share/cbios/configs
	# prepare for openMSX specially
	cp -rf configs/openMSX/* $(CURDIR)/debian/cbios/usr/share/openmsx/machines
	# MSX1
	ln -s ../../../../cbios/cbios_main_msx1.rom $(CURDIR)/debian/cbios/usr/share/openmsx/machines/C-BIOS_MSX1/roms/
	ln -s ../../../../cbios/cbios_logo_msx1.rom $(CURDIR)/debian/cbios/usr/share/openmsx/machines/C-BIOS_MSX1/roms/
	# MSX1 JP
	ln -s ../../../../cbios/cbios_main_msx1_jp.rom $(CURDIR)/debian/cbios/usr/share/openmsx/machines/C-BIOS_MSX1_JP/roms/
	ln -s ../../../../cbios/cbios_logo_msx1.rom $(CURDIR)/debian/cbios/usr/share/openmsx/machines/C-BIOS_MSX1_JP/roms/
	# MSX1 BR
	ln -s ../../../../cbios/cbios_main_msx1_br.rom $(CURDIR)/debian/cbios/usr/share/openmsx/machines/C-BIOS_MSX1_BR/roms/
	ln -s ../../../../cbios/cbios_logo_msx1.rom $(CURDIR)/debian/cbios/usr/share/openmsx/machines/C-BIOS_MSX1_BR/roms/
	# MSX2
	ln -s ../../../../cbios/cbios_main_msx2.rom $(CURDIR)/debian/cbios/usr/share/openmsx/machines/C-BIOS_MSX2/roms/
	ln -s ../../../../cbios/cbios_logo_msx2.rom $(CURDIR)/debian/cbios/usr/share/openmsx/machines/C-BIOS_MSX2/roms/
	ln -s ../../../../cbios/cbios_sub.rom $(CURDIR)/debian/cbios/usr/share/openmsx/machines/C-BIOS_MSX2/roms/
	# MSX2 JP
	ln -s ../../../../cbios/cbios_main_msx2_jp.rom $(CURDIR)/debian/cbios/usr/share/openmsx/machines/C-BIOS_MSX2_JP/roms/
	ln -s ../../../../cbios/cbios_logo_msx2.rom $(CURDIR)/debian/cbios/usr/share/openmsx/machines/C-BIOS_MSX2_JP/roms/
	ln -s ../../../../cbios/cbios_sub.rom $(CURDIR)/debian/cbios/usr/share/openmsx/machines/C-BIOS_MSX2_JP/roms/
	# MSX2 BR
	ln -s ../../../../cbios/cbios_main_msx2_br.rom $(CURDIR)/debian/cbios/usr/share/openmsx/machines/C-BIOS_MSX2_BR/roms/
	ln -s ../../../../cbios/cbios_logo_msx2.rom $(CURDIR)/debian/cbios/usr/share/openmsx/machines/C-BIOS_MSX2_BR/roms/
	ln -s ../../../../cbios/cbios_sub.rom $(CURDIR)/debian/cbios/usr/share/openmsx/machines/C-BIOS_MSX2_BR/roms/
	# MSX2+
	ln -s ../../../../cbios/cbios_main_msx2+.rom $(CURDIR)/debian/cbios/usr/share/openmsx/machines/C-BIOS_MSX2+/roms/
	ln -s ../../../../cbios/cbios_logo_msx2+.rom $(CURDIR)/debian/cbios/usr/share/openmsx/machines/C-BIOS_MSX2+/roms/
	ln -s ../../../../cbios/cbios_sub.rom $(CURDIR)/debian/cbios/usr/share/openmsx/machines/C-BIOS_MSX2+/roms/
	ln -s ../../../../cbios/cbios_music.rom $(CURDIR)/debian/cbios/usr/share/openmsx/machines/C-BIOS_MSX2+/roms/
	# MSX2+ JP
	ln -s ../../../../cbios/cbios_main_msx2+_jp.rom $(CURDIR)/debian/cbios/usr/share/openmsx/machines/C-BIOS_MSX2+_JP/roms/
	ln -s ../../../../cbios/cbios_logo_msx2+.rom $(CURDIR)/debian/cbios/usr/share/openmsx/machines/C-BIOS_MSX2+_JP/roms/
	ln -s ../../../../cbios/cbios_sub.rom $(CURDIR)/debian/cbios/usr/share/openmsx/machines/C-BIOS_MSX2+_JP/roms/
	ln -s ../../../../cbios/cbios_music.rom $(CURDIR)/debian/cbios/usr/share/openmsx/machines/C-BIOS_MSX2+_JP/roms/
	# MSX2+ BR
	ln -s ../../../../cbios/cbios_main_msx2+_br.rom $(CURDIR)/debian/cbios/usr/share/openmsx/machines/C-BIOS_MSX2+_BR/roms/
	ln -s ../../../../cbios/cbios_logo_msx2+.rom $(CURDIR)/debian/cbios/usr/share/openmsx/machines/C-BIOS_MSX2+_BR/roms/
	ln -s ../../../../cbios/cbios_sub.rom $(CURDIR)/debian/cbios/usr/share/openmsx/machines/C-BIOS_MSX2+_BR/roms/
	ln -s ../../../../cbios/cbios_music.rom $(CURDIR)/debian/cbios/usr/share/openmsx/machines/C-BIOS_MSX2+_BR/roms/

override_dh_installman:
	dh_installman debian/cbios.7
