## cbios 0.27

=== debian/changelog ===
cbios (0.27-2) unstable; urgency=medium

  * New maintainer.
  * Install links in openmsx systemroms directory.
  * Updated standards version to 3.9.7 (no changes needed).

 -- Bas Wijnen <wijnen@debian.org>  Sat, 26 Mar 2016 12:34:38 -0400

cbios (0.27-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * debian/copyright:
     - Updated the packaging copyright data.
     - Updated the upstream copyright years.

 -- Raphael Mota Ramos <raphaelmota.ti@gmail.com>  Fri, 15 Jan 2016 17:02:50 -0200

cbios (0.25-4) unstable; urgency=medium

  * QA upload.
  * Updated and simplified the debian/rules to work correctly. Consequently:
      - Removed the target 'clean' and created the file debian/clean.
      - Removed the target 'build' and moved the manpage generation to the
        target 'override_dh_installman'.
      - Removed the target override_dh_install. Consequently:
          ~ Created the debian/install file to install the ROMs.
          ~ Created the debian/links file to link the ROMs.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 27 Dec 2015 23:15:15 -0200
