## cbios 0.28

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,3 @@
-# $Id: Makefile 584 2010-11-20 15:08:23Z manuelbi $
-
 # Select your assembler:
 Z80_ASSEMBLER?=pasmo
 #Z80_ASSEMBLER?=z80-as
@@ -10,9 +8,6 @@
 VERSION:=$(shell cat version.txt)
 PACKAGE_FULL:=$(PACKAGE_NAME)-$(VERSION)
 
-#CHANGELOG_REVISION:=\
-#        $(shell sed -ne "s/\$$Id: ChangeLog \([^ ]*\).*/\1/p" ChangeLog)
-#TITLE:="C-BIOS $(VERSION)-dev$(CHANGELOG_REVISION)"
 TITLE:="C-BIOS $(VERSION)      cbios.sf.net"
 VERSION_FILE:=derived/asm/version.asm
 
@@ -46,7 +41,7 @@
 ASMDIR=src
 endif
 
-$(VERSION_FILE): ChangeLog version.txt
+$(VERSION_FILE): version.txt
 	@echo "Creating: $@"
 	@mkdir -p $(@D)
 	@echo '  db $(TITLE)' > $@
@@ -62,11 +57,8 @@
 	@$(PASMO) -I src -I derived/asm $(<:vdep/%=src/%) \
 		$@ $(@:derived/bin/%.rom=derived/lst/%.lst)
 endif
-# TODO: The "mv" can cause problems in parallel builds, it would be better if
-#       tniASM could write distinct output files (can it?).
 ifeq ($(Z80_ASSEMBLER),tniasm)
-	@cd src && tniasm $(<:vdep/%=%) ../$@
-	@mv src/tniasm.sym $(@:derived/bin/%.rom=derived/lst/%.sym)
+	@cd src && tniasm ../tools/tniasm-compat $(<:vdep/%=%) ../$@ $(@:derived/bin/%.rom=derived/lst/%.sym)
 endif
 ifeq ($(Z80_ASSEMBLER),z80-as)
 	@mkdir -p derived/obj
@@ -139,20 +131,16 @@
 dist: all
 	@rm -rf derived/dist
 	@mkdir -p derived/dist/$(PACKAGE_FULL)
-	@find . -type f '!' -path '*/.svn/*' \
-		'!' -path './derived/*' '!' -path './debian/*' \
-		'!' -name '.*' \
-		-exec cp --parents "{}" derived/dist/$(PACKAGE_FULL) ';'
-	@find configs/openMSX/* -maxdepth 0 -type d '!' -name '.svn' \
-		-exec mkdir "derived/dist/$(PACKAGE_FULL)/{}/roms" ';'
-	@SCRIPT=`mktemp` \
-		&& sha1sum $(ROMS_FULLPATH) | sed -nf tools/subst_sha1.sed > $$SCRIPT \
-		&& sed -s -i -f $$SCRIPT \
-			derived/dist/$(PACKAGE_FULL)/configs/openMSX/*/hardwareconfig.xml \
-		&& rm $$SCRIPT
+	@cp Makefile version.txt *.bat derived/dist/$(PACKAGE_FULL)
+	@cp -R configs doc src tools derived/dist/$(PACKAGE_FULL)
+	@SCRIPT=derived/dist/inject_sha1.sed \
+		&& shasum -a1 $(ROMS_FULLPATH) | sed -nf tools/subst_sha1.sed > $$SCRIPT \
+		&& sed -i'~' -f $$SCRIPT \
+			derived/dist/$(PACKAGE_FULL)/configs/openMSX/*.xml \
+		&& rm $$SCRIPT derived/dist/$(PACKAGE_FULL)/configs/openMSX/*~
 	@mkdir -p derived/dist/$(PACKAGE_FULL)/roms
 	@cp $(ROMS_FULLPATH) derived/dist/$(PACKAGE_FULL)/roms
-	@cd derived/dist ; zip -9 -r $(PACKAGE_FULL).zip $(PACKAGE_FULL)
+	@cd derived/dist ; zip -9 -X -D -r $(PACKAGE_FULL).zip $(PACKAGE_FULL)
 
 list_stub:
 	cd src && grep -n _text *.asm | grep ',0$$' | awk '{print $$1}' | sed -e 's/_text://'
