=== debian/changelog ===
cbios (0.28-1) unstable; urgency=medium

  * New upstream version.
  * Update standards version to 4.0.0.
  * Change copyright link to https.
  * Change priority to optional.

 -- Bas Wijnen <wijnen@debian.org>  Sat, 05 Aug 2017 14:35:56 +0200
