=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: cbios
 Section: misc
-Priority: extra
+Priority: optional
 Maintainer: Bas Wijnen <wijnen@debian.org>
 Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: pasmo, stx2any
-Standards-Version: 3.9.7
+Standards-Version: 4.0.0
 Homepage: http://cbios.sf.net
 
 Package: cbios
