## cbios 0.29a

=== Makefile ===
--- 
+++ 
@@ -6,13 +6,14 @@
 
 PACKAGE_NAME:=cbios
 VERSION:=$(shell cat version.txt)
-PACKAGE_FULL:=$(PACKAGE_NAME)-$(VERSION)
+PACKAGE_FULL:=$(PACKAGE_NAME)-$(VERSION)a
 
 TITLE:="C-BIOS $(VERSION)      cbios.sf.net"
 VERSION_FILE:=derived/asm/version.asm
 
-ROMS:=main_msx1 main_msx1_jp main_msx1_br main_msx2 main_msx2_jp main_msx2_br \
-	main_msx2+ main_msx2+_jp main_msx2+_br sub logo_msx1 logo_msx2 \
+ROMS:=main_msx1 main_msx1_eu main_msx1_jp main_msx1_br \
+	main_msx2 main_msx2_eu main_msx2_jp main_msx2_br main_msx2+ \
+	main_msx2+_eu main_msx2+_jp main_msx2+_br sub logo_msx1 logo_msx2 \
 	logo_msx2+ music disk basic
 ROMS_FULLPATH:=$(ROMS:%=derived/bin/cbios_%.rom)
