=== debian/changelog ===
cbios (0.29a-1) unstable; urgency=medium

  * New upstream release.
  * Update standards version to 4.6.2. No changes needed.
  * Update debhelper compat level to 10.

 -- Bas Wijnen <wijnen@debian.org>  Fri, 04 Aug 2023 09:47:24 +0200

cbios (0.28-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sun, 03 Jan 2021 15:47:11 +0100
