=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: misc
 Priority: optional
 Maintainer: Bas Wijnen <wijnen@debian.org>
-Build-Depends: debhelper (>= 9)
+Build-Depends: debhelper (>= 10)
 Build-Depends-Indep: pasmo, stx2any
-Standards-Version: 4.0.0
+Standards-Version: 4.6.2
 Homepage: http://cbios.sf.net
 
 Package: cbios
