=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@

override_dh_installman:
	stx2any -T man debian/cbios.txt > debian/cbios.7
	dh_installman debian/cbios.7
